Skip to main content
PUT
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
register-dataset
/
{dataset_type}
Dataset registration to a model.
curl --request PUT \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/register-dataset/{dataset_type} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "datasetDetails": {
    "name": "<string>",
    "datasetType": "file",
    "datasetConfig": {
      "path": "<string>"
    },
    "datasourceName": "<string>",
    "featureSetId": "<string>",
    "featureSetVersionId": "<string>"
  },
  "variables": [
    {
      "name": "<string>",
      "binsCategories": [
        "<string>"
      ],
      "binsEdges": [
        123
      ],
      "binsNum": 123,
      "featureImportance": 123,
      "precomputedBinCounts": [
        123
      ],
      "predictionProbabilityLabels": [
        "<string>"
      ],
      "forPredictionOutput": "<string>"
    }
  ],
  "run_cohort_analysis": true
}
'

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required
dataset_type
enum<string>
required
Available options:
prediction,
ground_truth

Body

application/json

Config to be used to register a model with DMM.

datasetDetails
Dataset Config Registration · object
required

Config for the dataset to be registered with the model.

variables
Variable Config Registration · object[]
run_cohort_analysis
boolean

Response

Successfully registered dataset to the Model.